## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeCommentAllocator Class Reference

`#include <XalanSourceTreeCommentAllocator.hpp>`

Collaboration diagram for XalanSourceTreeCommentAllocator:

[legend]
List of all members.

## Public Types

- typedef XalanSourceTreeComment ObjectType
- typedef ObjectType::IndexType IndexType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanSourceTreeCommentAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanSourceTreeCommentAllocator ()
- ObjectType* create (const XalanDOMString &theData, XalanSourceTreeDocument *theOwnerDocument, XalanNode *theParentNode=0, XalanNode *thePreviousSibling=0, XalanNode *theNextSibling=0, IndexType theIndex=0)
    Create an instance. More...
- void reset ()
    Delete all objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator< ObjectType > XalanSourceTreeCommentAllocator::ArenaAllocatorType<ObjectType>

typedef ObjectType::IndexType XalanSourceTreeCommentAllocator::IndexType

typedef XalanSourceTreeComment XalanSourceTreeCommentAllocator::ObjectType

typedef ArenaAllocatorType::size_type XalanSourceTreeCommentAllocator::size_type

## Constructor & Destructor Documentation

XalanSourceTreeCommentAllocator::XalanSourceTreeCommentAllocator ( | MemoryManagerType & theManager,
| size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanSourceTreeCommentAllocator::~XalanSourceTreeCommentAllocator ( | )

## Member Function Documentation

ObjectType * XalanSourceTreeCommentAllocator::create ( | const XalanDOMString & theData,
| XalanSourceTreeDocument * theOwnerDocument,
| XalanNode * theParentNode = 0,
| XalanNode * thePreviousSibling = 0,
| XalanNode * theNextSibling = 0,
| IndexType theIndex = 0 )

Create an instance.

Parameters:

  theData | The data for the comment
  theOwnerDocument | The owner document of the comment node.
  theParentNode | The parent node, if any.
  thePreviousSibling | The next sibling, if any.
  theNextSibling | The next sibling, if any.
  theIndex | The document-order index of the node.

Returns:
  pointer to the instance

size_type XalanSourceTreeCommentAllocator::getBlockCount ( | ) const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XalanSourceTreeCommentAllocator::getBlockSize ( | ) const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XalanSourceTreeCommentAllocator::reset ( | )

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XalanSourceTreeCommentAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.